Skip to main content
POST
Prepare Model for different precisions

Authorizations

Authorization
string
header
required

Bearer authentication using your Fireworks API key. Format: Bearer <API_KEY>

Path Parameters

account_id
string
required

The Account Id

model_id
string
required

The Model Id

Body

application/json
precision
enum<string>
default:PRECISION_UNSPECIFIED
Available options:
PRECISION_UNSPECIFIED,
FP16,
FP8,
FP8_MM,
FP8_AR,
FP8_MM_KV_ATTN,
FP8_KV,
FP8_MM_V2,
FP8_V2,
FP8_MM_KV_ATTN_V2,
NF4,
FP4,
BF16,
FP4_BLOCKSCALED_MM,
FP4_MX_MOE
readMask
string
acceleratorCount
integer<int32>

Number of accelerators (GPUs) to use for quantization. Defaults to 8 if unset.

abort
boolean

If true, abort an active prepare job and clear prepare tracking state. No new prepare job is launched in this request.

Response

200 - application/json

A successful response.

The response is of type object.